@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5630-A36, 5630-A37, 5724-D18 (C) COPYRIGHT International Business Machines Corp., 2003
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@REM Update Patcher

@setlocal

@echo off
:VerifyJavaHome
IF "%JAVA_HOME%" == "" GoTo JavaHomeNotSet

:VerifyPath
IF NOT EXIST "%~dp0..\installer.jar" GoTo InstallerJarNotFound
IF NOT EXIST "%~dp0patcher.jar" GoTo PatcherJarNotFound
GoTo RunPatch

:JavaHomeNotSet
Echo JAVA_HOME must be set before launching this script.  Exiting.
Echo.
GoTo End

:InstallerJarNotFound
Echo installer.jar does not exist.  Exiting.
Echo.
GoTo End

:PatcherJarNotFound
Echo patcher.jar does not exist.  Exiting.
Echo.
GoTo End

:RunPatch
SET UPDATE_HOME=%~dp0
SET PATCHER_CLASSPATH=%UPDATE_HOME%\patcher.jar;%UPDATE_HOME%\..\installer.jar

"%JAVA_HOME%\bin\java" -cp "%PATCHER_CLASSPATH%" com.ibm.websphere.update.ptf.Patcher %*

:End
@endlocal
